# Class yii\base\UserException

Inheritance | yii\base\UserException » yii\base\Exception » Exception

Subclasses

yii\base\InvalidRouteException, yii\console\Exception, yii\console\UnknownCommandException, yii\web\BadRequestHttpException, yii\web\ConflictHttpException, yii\web\ForbiddenHttpException, yii\web\GoneHttpException, yii\web\HttpException, yii\web\MethodNotAllowedHttpException, yii\web\NotAcceptableHttpException, yii\web\NotFoundHttpException, yii\web\RangeNotSatisfiableHttpException, yii\web\ServerErrorHttpException, yii\web\TooManyRequestsHttpException, yii\web\UnauthorizedHttpException, yii\web\UnprocessableEntityHttpException, yii\web\UnsupportedMediaTypeHttpException

Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/base/UserException.php

UserException is the base class for exceptions that are meant to be shown to end users.

Such exceptions are often caused by mistakes of end users.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
getName() |  | yii\base\Exception

## Method Details

Hide inherited methods

getName() public method

Defined in: yii\base\Exception::getName()

public string getName ( )
return | string | The user-friendly name of this exception

Source code

                    public function getName()
    {
        return 'Exception';
    }